/*
*/
#ifndef Phonon_GST_AVCAPTURECAPTURE_H
#define Phonon_GST_AVCAPTURECAPTURE_H

#include "abstractmediaproducer.h"

namespace Phonon
{
namespace Gst
{
	class AvCapture : public AbstractMediaProducer
	{
		Q_OBJECT
		public:
			AvCapture( QObject* parent );
			~AvCapture();

		public slots:
			int audioCaptureDevice() const;
			void setAudioCaptureDevice( int index );
			int videoCaptureDevice() const;
			void setVideoCaptureDevice( int index );
	};
}} //namespace Phonon::Gst

// vim: sw=4 ts=4 tw=80
#endif // Phonon_GST_AVCAPTURECAPTURE_H
